Subject: Re: bug#39965: [PATCH] Add support for multiple gravatar-like services

From: Robert Pluim <[email-masked]>
Date: Mon, 09 Mar 2020 16:35:45 +0100

>>>>> On Mon, 09 Mar 2020 16:10:48 +0100, Philip Kaludercic <[email-masked]> said:

    Philip> In that case I'm attaching the patch to this mail, I hope Gnus handels
    Philip> it corretly. 

I hand't realised you were using the One True Emacs Mail Agent. Of
course it works.

    Philip> From 5c967bc9e2c3bc72e3803d84b23b8b121328c49c Mon Sep 17 00:00:00 2001
    Philip> From: Philip K <[email-masked]>
    Philip> Date: Fri, 6 Mar 2020 12:40:28 +0100
    Philip> Subject: [PATCH] Add support for multiple gravatar-like services

    Philip> Specifically, the non-proprietary services libravatar (now default)
    Philip> and unicornify have been added. The behaviour is customised via the
    Philip> new variable `gravatar-service'.

This is missing a ChangeLog style comment. There are various ways to
produce that, the easiest is probably:

C-x v d ; vc-dir
m ; mark the files you want to commit
v ; vc-next-action, which will put you in a commit message buffer
C-c C-w ; this will look through the diffs of the files youʼre
        ; commiting and pre-populate the commit message with
        ; file/function/variable names. You then fill in the details
        ; of what you changed.

Of course, a preamble like you had explaining the 'why' of the change
is also good.

See "** Commit messages" in CONTRIBUTE for a more detailed description
of the desired format for commit messages.

    Philip> +---
    Philip> +*** New variable `gravatar-service' changes avatar service.
    Philip> +Now supports Libravatar (as default) and Unicornify, next to the
    Philip> +already implemented Gravatar.
    Philip> +

We normally call these 'user options', and donʼt use back-quotes in
NEWS, and try to have the first line be a complete sentence, so:

** Gravatar

===
*** New user-option 'gravatar-service' for host to query for gravatars.
Defaults to Libravatar, with Unicornify and Gravatar as options.

Thanks for your patch.

Robert